## Contribution guidelines

First of all, thank you for your interest in this project! Most of us working on this are researchers, not software engineers, so we expect there to be room for improvement in this package. If you find something that is unclear or doesn't work or should be done more efficiently etc., please let us know, but remember to be respectful.

If you are new to Julia package development, we strongly recommend reading the rather well-written guide in [the JuMP documentation](https://jump.dev/JuMP.jl/dev/developers/contributing/#Contribute-code-to-JuMP).

How to proceed when you have:
- A question about how something works
  - Ask a question on our [discussion forum](https://github.com/gamma-opt/DecisionProgramming.jl/discussions)
  - If the reason for your confusion was that something was not properly explained in the documentation, create an issue and/or a pull request.
- A bug report 🐛
  - Create an issue with a minimal working example that shows how you encountered the bug.
  - If you know how to fix the bug, you can create a pull request as well, otherwise we'll see your issue and start working on fixing whatever you found.
- An improvement suggestion
  - It might be a good idea to first discuss your idea with us, you can start by posting on the [discussion forum](https://github.com/gamma-opt/DecisionProgramming.jl/discussions).
  - Create an issue and start working on a pull request.
